package model

import (
	"go_dreamfactory/pb"
)

type PushModel struct {
	MethodName string
	DataTime   string
	Msg        *pb.UserMessage
}

type PushModelList struct {
	DataList []*PushModel
}

func NewPushModelList() *PushModelList {
	return &PushModelList{
		DataList: make([]*PushModel, 0),
	}
}

func (s *PushModelList) AsInterfaceArray() []interface{} {
	rs := make([]interface{}, len(s.DataList), len(s.DataList))
	for i := range s.DataList {
		rs[i] = s.DataList[i]
	}
	return rs
}
